summaryrefslogtreecommitdiffstats
path: root/source/ap
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap')
-rwxr-xr-xsource/ap/man-db/man-db.SlackBuild2
-rw-r--r--source/ap/slackpkg/0001-Allow-new-config-after-slackpkg-upgrade-itself.patch25
-rwxr-xr-xsource/ap/slackpkg/slackpkg.SlackBuild8
3 files changed, 32 insertions, 3 deletions
diff --git a/source/ap/man-db/man-db.SlackBuild b/source/ap/man-db/man-db.SlackBuild
index 60f749c50..74b6cb5d4 100755
--- a/source/ap/man-db/man-db.SlackBuild
+++ b/source/ap/man-db/man-db.SlackBuild
@@ -8,7 +8,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=man-db
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
MAN2HTML=${MAN2HTML:-20180101}
diff --git a/source/ap/slackpkg/0001-Allow-new-config-after-slackpkg-upgrade-itself.patch b/source/ap/slackpkg/0001-Allow-new-config-after-slackpkg-upgrade-itself.patch
new file mode 100644
index 000000000..82e9f5a22
--- /dev/null
+++ b/source/ap/slackpkg/0001-Allow-new-config-after-slackpkg-upgrade-itself.patch
@@ -0,0 +1,25 @@
+From 5edf86dcebd2ab55a4a7221db77e10676723bbb1 Mon Sep 17 00:00:00 2001
+From: piterpunk <piterpunk@slackware.com>
+Date: Mon, 8 Feb 2021 18:22:33 -0300
+Subject: [PATCH] Allow new-config after slackpkg upgrade itself
+
+Signed-off-by: Robby Workman <rworkman@slackware.com>
+---
+ files/core-functions.sh | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/files/core-functions.sh b/files/core-functions.sh
+index dcbceae..9816458 100644
+--- a/files/core-functions.sh
++++ b/files/core-functions.sh
+@@ -345,6 +345,7 @@ use slackpkg.\n"
+ CHECKMD5=off
+ elif ! [ -f ${ROOT}/${WORKDIR}/CHECKSUMS.md5 ] && \
+ [ "$CMD" != "update" ] && \
++ [ "$CMD" != "new-config" ] && \
+ [ "$CHECKMD5" = "on" ]; then
+ echo -e "\n\
+ No CHECKSUMS.md5 found! Please disable md5sums checking\n\
+--
+2.30.0
+
diff --git a/source/ap/slackpkg/slackpkg.SlackBuild b/source/ap/slackpkg/slackpkg.SlackBuild
index db3774348..788600a72 100755
--- a/source/ap/slackpkg/slackpkg.SlackBuild
+++ b/source/ap/slackpkg/slackpkg.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=slackpkg
VERSION=${VERSION:-15.0}
ARCH="noarch"
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
@@ -113,10 +113,14 @@ chmod 644 $PKG/usr/doc/slackpkg-$VERSION/*
mkdir -pv $PKG/var/lib/slackpkg
mkdir -pv $PKG/var/cache/packages
+# Allow new-config after slackpkg upgrade itself:
+( cd $PKG/usr/libexec/slackpkg
+ cat $CWD/0001-Allow-new-config-after-slackpkg-upgrade-itself.patch | patch -p2 --verbose || exit 1
+) || exit 1
+
mkdir -p $PKG/install
cat $CWD/doinst.sh | sed -e "s/@VERSION@/$VERSION/g" > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
-